import { defineNuxtModule, createResolver, addComponent } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "@creatiwity/formbuilder",
    configKey: "creatFormBuilder"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup() {
    const resolver = createResolver(import.meta.url);
    addComponent({
      name: "CreatFormBuilder",
      // name of the component to be used in vue templates
      filePath: resolver.resolve("runtime/components/FormBuilder.vue")
    });
    addComponent({
      name: "CreatFieldContainer",
      // name of the component to be used in vue templates
      filePath: resolver.resolve("runtime/components/FieldContainer.vue")
    });
  }
});

export { module as default };
